Net::LDAP::Extension::WhoAmI(3)

NAME
Net::LDAP::Extension::WhoAmI - LDAP "Who am I?" Operation

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Extension::WhoAmI;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $ldap->bind('cn=Joe User,cn=People,dc=example,dc=com",
             password => 'secret');

 $mesg = $ldap->who_am_i();

 die "error: ", $mesg->code(), ": ", $mesg->error()  if ($mesg->code());

 print "you are bound with authzId ", $mesg->response(), "\n";

DESCRIPTION
"Net::LDAP::Extension::WhoAmI" implements the "Who am I?" extended LDAPv3 operation as described in RFC 4532.

It implements no object by itself but extends the Net::LDAP object by another method:

METHODS

who_am_i
    Obtain the authorization identity which the server has associated with the user or application entity.

SEE ALSO
Net::LDAP, Net::LDAP::Extension

AUTHOR
Norbert Klasen <norbert.klasen@avinci.de>,

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2002-2004 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.